## obc-3-3.3.0.tar.gz

=== doc/Makefile ===
all: obcman.pdf

think: Sleep.k Main.k prim.o
	obc -C -o $@ $^

think2: Sleep2.k Main2.k
	obc -o $@ $^

prim.so: prim.c
	gcc -m32 -fPIC -shared -I /usr/local/lib/obc $< -o $@

%.k: %.m
	obc -c $<

prim.o: prim.c
	obc -c $<

Main.k: Sleep.k

%.pdf: %.tex mymacs.tex
	pdftex $<
	pdftex $<

%.tex: %.ms obgrind
	obgrind -e $< >$@

obgrind: obgrind.l
	flex -o obgrind.c obgrind.l
	gcc -o obgrind obgrind.c

clean: force
	rm -f obcman.pdf obcman.tex *.aux *.log *.toc
	rm -f *.k prim.o prim.so think think2 

realclean: clean
	rm -f obgrind.c obgrind

force:

=== debian/control ===
Source: obc
Section: devel
Priority: optional
Maintainer: Mike Spivey <mike@cs.ox.ac.uk>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, tcl8.6, ocaml|ocaml-nox, libgtksourceview3.0-dev, libffi-dev
Standards-Version: 3.6.2

Package: obc
Architecture: any
Depends: ${shlibs:Depends}
Description: Oxford Oberon-2 compiler
 This compiler translates Oberon-2 into a portable bytecode, and comes
 with an interpreter (or on some architecures, a JIT) for the bytecode.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DESTDIR ?= ..

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure.in
	dh_testdir
	autoreconf

config.status: configure
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE) all
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	-$(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/obc/usr

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_strip -Xobc1 -Xobb1 -Xobdb1
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -XXYplane.so
	dh_gencontrol
	dh_md5sums
	dh_builddeb --destdir=$(DESTDIR)

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install
